| Kea 3.0.2-git

isc::asiolink::DummyIOCallback Class Reference

Asynchronous I/O Completion Callback. More...

`#include <dummy_io_cb.h>`

## Public Member Functions
void | operator() (boost::system::error_code)
| Asynchronous I/O callback method.
void | operator() (boost::system::error_code, size_t)
| Asynchronous I/O callback method.

## Detailed Description

Asynchronous I/O Completion Callback.

The two socket classes (UDPSocket and TCPSocket) require that the I/O completion callback function have an operator() method with the appropriate signature. The classes are templates, any class with that method and signature can be passed as the callback object - there is no need for a base class defining the interface. However, some users of the socket classes do not use the asynchronous I/O operations, yet have to supply a template parameter. This is the reason for this class - it is the dummy template parameter.

Definition at line 30 of file dummy_io_cb.h.

## Member Function Documentation

## ◆ operator()() [1/2]

void isc::asiolink::DummyIOCallback::operator() | ( | boost::system::error_code |  | ) |
| inline

Asynchronous I/O callback method.

Should never be called, as this class is a convenience class provided for instances where a socket is required but it is known that no asynchronous operations will be carried out.

Definition at line 38 of file dummy_io_cb.h.

References isc_throw.

## ◆ operator()() [2/2]

void isc::asiolink::DummyIOCallback::operator() | ( | boost::system::error_code | ,
|  | size_t | )
| inline

Asynchronous I/O callback method.

Should never be called, as this class is a convenience class provided for instances where a socket is required but it is known that no asynchronous operations will be carried out.

Definition at line 52 of file dummy_io_cb.h.

References isc_throw.

The documentation for this class was generated from the following file:

- dummy_io_cb.h